package se.kawaiiriver;

public class SingleVideoAdapter implements SingleVideoInfo {
	private String inputVideo, outputVideo;
	private int sid;
	private int aid;

	
	public SingleVideoAdapter(String inputVideo, String outputVideo) {
		this(inputVideo, outputVideo, -1, -1);
	}
	
	public SingleVideoAdapter(String inputVideo, String outputVideo, int aid, int sid) {
		this.inputVideo = inputVideo;
		this.outputVideo = outputVideo;
		this.sid = sid;
		this.aid = aid;
	}	
	
	public String getInputVideo() {
		return inputVideo;
	}
	
	public synchronized String getOutputVideo() {
		return outputVideo;		
	}
	
	public synchronized void setOutputVideo(String outputVideo) {
		this.outputVideo = outputVideo;
	}

	public int getAudioStream() {
		return aid;
	}

	public int getSubtitle() {
		return sid;
	}
}
