package se.kawaiiriver;

public interface SingleVideoInfo extends OutputVideoInfo {
	public String getInputVideo();
	
	/**
	 * Returns what audio stream id to use.
	 * @return Audio stream aid value, or -1 to use mplayer default.
	 */
	public int getAudioStream();
	/**
	 * Returns what subtitle id to use.
	 * @return Subtitle sid value, -1 to not use subtitles.
	 */
	public int getSubtitle();
}
