package se.kawaiiriver;

public class SingleVideoInfoReader extends Thread {
	private GenericProgressDialog progressDialog;
	private volatile MPlayerInfo info;
	private String inputFile;
	
	public SingleVideoInfoReader(GenericProgressDialog pd, String inputVideo) {
		super();
		this.progressDialog = pd;
		this.inputFile = inputVideo;
	}

	public void run() {
		progressDialog.setMaximumPosition(2);
		progressDialog.setPosition(1);
		progressDialog.setStatus("Reading subtitle and audio stream information...");

		info = new MPlayerInfo(inputFile);
		progressDialog.setPosition(2);
		progressDialog.close();

	}
	
	public void start() {
		super.start();
	}

	public MPlayerInfo getInfo() {
		return info;
	}
	
}

